Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableServer
Interface ServantLocatorOperations

All Superinterfaces:
  ServantManagerOperations

All Known Subinterfaces:
  ServantLocator

All Known Implementing Classes:
  ServantLocatorPOA

public interface ServantLocatorOperations
extends ServantManagerOperations

Interface definition : ServantLocator

Author:
  OpenORB Compiler

Method Summary
`void` | `postinvoke(byte[] oid, POA adapter, java.lang.String operation, java.lang.Object the_cookie, Servant the_servant)` Operation postinvoke
`Servant` | `preinvoke(byte[] oid, POA adapter, java.lang.String operation, CookieHolder the_cookie)` Operation preinvoke

Method Detail

### preinvoke

    public Servant preinvoke(byte[] oid,
                             POA adapter,
                             java.lang.String operation,
                             CookieHolder the_cookie)
                      throws ForwardRequest

  Operation preinvoke

### postinvoke

    public void postinvoke(byte[] oid,
                           POA adapter,
                           java.lang.String operation,
                           java.lang.Object the_cookie,
                           Servant the_servant)

  Operation postinvoke

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD